declare const HIGHLIGHT = "storybook/highlight/add";
declare const RESET_HIGHLIGHT = "storybook/highlight/reset";
declare const SCROLL_INTO_VIEW = "storybook/highlight/scroll-into-view";

interface HighlightParameters {
    /**
     * Highlight configuration
     *
     * @see https://storybook.js.org/docs/essentials/highlight#parameters
     */
    highlight: {
        /** Remove the addon panel and disable the addon's behavior */
        disable?: boolean;
    };
}

export { HIGHLIGHT, type HighlightParameters, RESET_HIGHLIGHT, SCROLL_INTO_VIEW };
